/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCTIP.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCTIP.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:24   ZJRD
** 1.0c
** 
****************************************************************************/

// srctip.h : header file
//
#ifndef _SRCTIP_H_
#define _SRCTIP_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceTipWnd window

class CSourceTipWnd : public CWnd
{
    DECLARE_DYNAMIC(CSourceTipWnd)

// Construction
public:
	CSourceTipWnd() : m_strTip("") { }
	virtual ~CSourceTipWnd() { }

	virtual BOOL Create();

// Attributes
protected:
	CString m_strTip;

protected:
	CRect GetTipRect(const CPoint pt);

// Implementation
public:
	void UpdateTip(const CString& strTip = "", const CPoint pt = CPoint(-1,-1));

protected:
	// Generated message map functions
	//{{AFX_MSG(CSourceTipWnd)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////////////////////////////////////////////////////
